Bug 869443 - The sssd_nss process grows the memory consumption over time
The sssd_nss process grows the memory consumption over time
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: sssd (Show other bugs)
6.4
Unspecified Unspecified
high Severity unspecified
: rc
: ---
Assigned To: Jakub Hrozek
Kaushik Banerjee
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-23 18:24 EDT by Jakub Hrozek
Modified: 2013-02-21 04:38 EST (History)
4 users (show)

See Also:
Fixed In Version: sssd-1.9.2-5.el6
Doc Type: Bug Fix
Doc Text:
No Documentation Needed
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-21 04:38:07 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jakub Hrozek 2012-10-23 18:24:31 EDT
Description of problem:
The requests that the responders send to the Data Providers are allocated on the global context to ensure that even if the client disconnects, there is someone to read the reply. However, we forgot to free the structure that represents the request, which meant that the sssd_nss process grew over time.

Version-Release number of selected component (if applicable):
1.9.2-4

How reproducible:
quite hard

Steps to Reproduce:
1. set a very low cache timeout
2. run account requests in parallel
3. observe the sssd_nss process growing
  
Actual results:
sssd_nss process is growing

Expected results:
the consumption should stay pretty much the same

Additional info:
This is not easily reproducable, but apart from running many requests and watching the consumption grow, a quicker, but more involved way might be to check with the gdb that no tevent_req structures are allocated on top of the rctx after a request finishes. Please let me know which approach is preferable for QE.
Comment 2 Jakub Hrozek 2012-10-24 06:31:21 EDT
Upstream ticket:
https://fedorahosted.org/sssd/ticket/1600
Comment 4 Jenny Galipeau 2012-10-25 10:11:42 EDT
STI IPA automated testing can reproduce this issue and verify.
Comment 5 Jakub Hrozek 2012-10-30 19:24:04 EDT
Fixed upstream.
Comment 7 Jenny Galipeau 2012-11-15 10:15:44 EST
Hey Bruce:
Did you see this on the last execution?  Can this be set to VERIFIED?
Thanks
Jenny
Comment 8 baiesi 2012-11-27 10:28:35 EST
sssd_nss;
Not a defect I wrote up but was concerned with in the past. I just happened to be collecting this process info for sssd_nss the last 8 days with a build containing Jakubs fixes during my final system test run.

Load:
I applied mutithread ssh/sudo runtime load against the Ipa clients over a 8 day period subjecting each Ipa client to 50k attempts per day cycling through 10k Ipa users.  Over that period of time the ps aux process sssd_nss parameters %CPU, %MEM, VSZ, RSS was flat for both Ipa clients.  Samples were taken every 10 minutes, stored in my db for historical analysis.

Setup:
Build Installed 11/16/2012
Red Hat Enterprise Linux Server release 6.4 Beta (Santiago)
IPA server version 3.0.1. API version 2.46
2 Ipa Servers
2 Ipa Clients

Pkgs installed
sssd-1.9.90-0.20121114T2317zgit3a97c85.el6.x86_64
sssd-client-1.9.90-0.20121114T2317zgit3a97c85.el6.x86_64
libipa_hbac-1.9.90-0.20121114T2317zgit3a97c85.el6.x86_64
ipa-client-3.0.0-107.20121114T2335zgit863e15c.el6.x86_64
ipa-python-3.0.0-107.20121114T2335zgit863e15c.el6.x86_64
ipa-server-selinux-3.0.0-107.20121114T2335zgit863e15c.el6.x86_64
ipa-pki-ca-theme-9.0.3-7.20121114T2248z.el6.noarch
libipa_hbac-python-1.9.90-0.20121114T2317zgit3a97c85.el6.x86_64
ipa-server-3.0.0-107.20121114T2335zgit863e15c.el6.x86_64
ipa-admintools-3.0.0-107.20121114T2335zgit863e15c.el6.x86_64
ipa-pki-common-theme-9.0.3-7.20121114T2248z.el6.noarch
Comment 9 errata-xmlrpc 2013-02-21 04:38:07 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0508.html

Note You need to log in before you can comment on or make changes to this bug.